module Admin::PageContentHelper
include ActionView::Helpers::UrlHelper

  
  def show_page_context_edit_auth_link(page_context)
    type = 'Edit'
# debugger
#     a=1
    oa = page_context.get_object_auth_by_title(type)
    if oa.nil?
      page_context.object_auths.new(title: type ).save rescue
      oa = page_context.get_object_auth_by_title(type)
    end
#    link_to t('announcement.bulletin.cate_auth'), edit_admin_object_auth_path(oa)
     link_to t('admin.page_context.ob_auth.edit'),admin_object_auth_ob_auth_path(oa)
  end

end